﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;
using XNATutorial.Entity;

namespace XNATutorial.Camera.Interfaces
{
    interface ICamera : IMoveableEntity
    {
        void Perspective(float fieldOfView, float aspectRatio, float nearClippingPlane, float farClippingPlane);

        Vector3 Position { get; set; }

        Quaternion Rotation { get; }

        Matrix View { get; }
        Matrix Projection { get; }
    }
}
