using System;
using System.Diagnostics;
using System.Reflection;

namespace XNATutorial
{
#if WINDOWS || XBOX
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        static void Main(string[] args)
        {
            try
            {
                Assembly.Load("Microsoft.Xna.Framework, Version=4.0.0.0, Culture=neutral, PublicKeyToken=842cf8be1de50553");
            }
            catch
            {
                Debug.WriteLine("XNA 4.0 redistributable not installed.", "Error!");
                return;
            }

            using (Game game = new Game())
            {
                game.Run();
            }
        }
    }
#endif
}

